Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 115028 - media-video/jahshaka-2.0_rc3 bump request
Summary: media-video/jahshaka-2.0_rc3 bump request
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: media-video herd
URL: http://www.jahshaka.org/
Whiteboard:
Keywords:
Depends on: 109202
Blocks:
  Show dependency tree
 
Reported: 2005-12-09 14:43 UTC by Aaron
Modified: 2006-10-04 15:06 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for openlibraries (openlibraries-0.2.0.ebuild,868 bytes, text/plain)
2006-05-30 09:57 UTC, Alan Jones
Details
jahshaka 2.0 (jahshaka-2.0.0.ebuild,1.73 KB, text/plain)
2006-05-30 10:09 UTC, Alan Jones
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron 2005-12-09 14:43:10 UTC
2.0RC2 Beta has been released.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Luca Barbato gentoo-dev 2005-12-09 18:21:29 UTC
0 the source is in a src.rpm
1 is qt4 incompatible
2 depends on at least 2 unreleased libraries
3 would be nice to have OpenLibs with it

For point 0 I'm thinking about repacking the sources and put them in our mirrors
or/and ask upstream to be more distro independent, not sure how many people
would like to have the new jahshaka between soon and soonish.

I'm about to commit mlt and mlt++ snapshots to cope to point 2, I'll be glad if
someone would point a patch/workaround/fix for qt4 compatibility instead of hard
depending on qt3, if someone has the time to check http://www.openlibraries.org/
for point 3 would be great.

Comment 2 toto 2006-05-19 05:06:57 UTC
2.0 RC3 released
Comment 3 Alan Jones 2006-05-30 08:47:51 UTC
RC3 source tarball is just called 2.0.0 is downloaded using ebuild titled 2.0.0 with the mirror URI.

SRC_URI="mirror://sourceforge/${PN}fx/${MY_P}.tar.gz"
Comment 4 Alan Jones 2006-05-30 08:53:28 UTC
Requires additional dependency media-libs/glew
Comment 5 Alan Jones 2006-05-30 09:55:56 UTC
And another - it needs openlibraries which isn't in portage. I've put together an ebuild which is attached - just as media-libs/openlibraries for now - change if this is inappropriate.

I'm also unsure of gentoo policy - seeing jahshaka now relies upon openlibraries should the dependencies which are common to both be listed seperately in each - inherited from openlibraries into jahshaka or left out of jahshaka as they're already covered by openlibraries which will always be built first?

I'm also not sure I've got all dependencies of openlibraries covered - it may require other things like theora which I just happen to have installed already. I'll try nail down a proper list.
Comment 6 Alan Jones 2006-05-30 09:57:03 UTC
Created attachment 87877 [details]
ebuild for openlibraries

Ebuild for version 0.2.0 tested on x86 only so far.
Comment 7 Alan Jones 2006-05-30 10:09:34 UTC
Created attachment 87883 [details]
jahshaka 2.0

Compiled and merged successfully with only the following warning text - in case anyone knows what it means or how to fix it.

man:
scanelf: rpath_security_checks(): Security problem with relative DT_RPATH './source/OpenLibraries/lib:/usr/share/jahshaka/OpenLibraries/lib' in /var/tmp/portage/jahshaka-2.0.0/image/usr/bin/jahshaka
scanelf: rpath_security_checks(): Security problem with relative DT_RUNPATH './source/OpenLibraries/lib:/usr/share/jahshaka/OpenLibraries/lib' in /var/tmp/portage/jahshaka-2.0.0/image/usr/bin/jahshaka
Comment 8 Alan Jones 2006-05-30 10:12:23 UTC
here's the emerge --info for the system these two ebuilds were successfully built on.

Also a quick note - I hard coded mt for the boost library linking on openlibraries - there is probably a better way this should be done to allow for the threads use flag, but I'm not sure how to detect the versions to link against if it's not mt as they appear to have the gcc version information.

Portage 2.1_rc3-r2 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.3.20040420-r2, 2.6.16-gentoo-r8 i686)
=================================================================
System uname: 2.6.16-gentoo-r8 i686 Intel(R) Xeon(TM) CPU 3.20GHz
Gentoo Base System version 1.12.0
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5-r2, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.160/gentoo-portage"
USE="x86 3dnow X a52 aac acl acpi afs alsa apm avi berkdb bitmap-fonts cairo cdr cli crypt cups daap dbus dri dts dv dvd dvdr dvdread emboss encode esd exif ffmpeg foomaticdb fortran gdbm gif gstreamer gtk gtk2 ieee1394 imagemagick imlib ipod ipv6 isdnlog jpeg kerberos ldap libg++ libwww mad matroska mikmod mime mmx mono motif mp3 mpeg musicbrainz ncurses nls nvidia ogg opengl oss pam pcre pdf pdflib perl png pppd python qt quicktime readline real reflection sasl sdl session spell spl sse sse2 ssl tcpd tetex theora threads transcode truetype truetype-fonts type1-fonts udev usb v4l vorbis win32codecs xine xml xmms xorg xosd xv xvid xvmc zlib elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux userland_GNU video_cards_nvidia"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 9 Steve Dibb (RETIRED) gentoo-dev 2006-10-04 15:06:41 UTC
Removing from tree, see bug 150116